Sha256: 50c47a1addfc3a70f7a1986bcae209f34a63d882868f5d917e001af17bdc7b26

Contents?: true

Size: 516 Bytes

Versions: 28

Compression:

Stored size: 516 Bytes

Contents

#!/bin/sh
command -v docker > /dev/null 2>&1 || {
  echo "Unable to find \`docker' on your \$PATH, is it installed?" >&2
  exit 1
}

docker version | grep -Fq "Server version" || {
  echo "Unable to run \`docker version', the docker daemon may not be running" >&2

  if command -v boot2docker > /dev/null 2>&1; then
    echo "Please ensure \`boot2docker up' succeeds and you've run \`boot2docker shellinit' in this shell" >&2
  else
    echo "Please ensure \`docker version' succeeds and try again"
  fi

  exit 1
}

Version data entries

28 entries across 28 versions & 1 rubygems

Version Path
codeclimate-0.2.9 bin/check
codeclimate-0.2.7 bin/check
codeclimate-0.2.6 bin/check
codeclimate-0.2.4 bin/check
codeclimate-0.2.2 bin/check
codeclimate-0.2.1 bin/check
codeclimate-0.2 bin/check
codeclimate-0.1.5 bin/check
codeclimate-0.1.4 bin/check
codeclimate-0.1.3 bin/check
codeclimate-0.1.2 bin/check
codeclimate-0.1.0 bin/check
codeclimate-0.0.25 bin/check
codeclimate-0.0.24 bin/check
codeclimate-0.0.23 bin/check
codeclimate-0.0.22 bin/check
codeclimate-0.0.21 bin/check
codeclimate-0.0.18 bin/check
codeclimate-0.0.17 bin/check
codeclimate-0.0.16 bin/check